## hydrogen 0.9.3

=== Makefile ===
DESTDIR =

prefix  = /usr/local
qmake   = /usr/share/qt3/bin/qmake

hydrogen_headers = \
		config.h \
		\
		src/lib/xml/tinystr.h \
		src/lib/xml/tinyxml.h \
		\
		src/lib/drivers/AlsaMidiDriver.h \
		src/lib/drivers/DiskWriterDriver.h \
		src/lib/drivers/GenericDriver.h \
		src/lib/drivers/FakeDriver.h \
		src/lib/drivers/JackDriver.h \
		src/lib/drivers/NullDriver.h \
		src/lib/drivers/OssDriver.h \
		src/lib/drivers/TransportInfo.h \
		src/lib/drivers/AlsaAudioDriver.h \
		src/lib/drivers/MidiDriver.h \
		src/lib/drivers/PortMidiDriver.h \
		src/lib/drivers/PortAudioDriver.h \
		\
		src/lib/fx/LadspaFX.h \
		src/lib/fx/ladspa.h \
		\
		src/lib/smf/SMF.h \
		src/lib/smf/SMFEvent.h \
		\
		src/lib/ADSR.h \
		src/lib/DataPath.h \
		src/lib/EventQueue.h \
		src/lib/Exception.h \
		src/lib/FLACFile.h \
		src/lib/Globals.h \
		src/lib/Hydrogen.h \
		src/lib/LocalFileMng.h \
		src/lib/Object.h \
		src/lib/Preferences.h \
		src/lib/Sample.h \
		src/lib/Song.h \
		\
		\
		src/gui/widgets/Button.h \
		src/gui/widgets/CpuLoadWidget.h \
		src/gui/widgets/ClickableLabel.h \
		src/gui/widgets/Fader.h \
		src/gui/widgets/LCD.h \
		src/gui/widgets/MidiActivityWidget.h \
		src/gui/widgets/Rotary.h \
		\
		src/gui/InstrumentEditor/WaveDisplay.h \
		src/gui/InstrumentEditor/LayerPreview.h \
		src/gui/InstrumentEditor/InstrumentEditor.h \
		\
		src/gui/SongEditor/SongEditor.h \
		src/gui/SongEditor/SongEditorPanel.h \
		\
		src/gui/PatternEditor/PatternEditor.h \
		src/gui/PatternEditor/PatternEditorPanel.h \
		\
		src/gui/Mixer/Mixer.h \
		src/gui/Mixer/MixerLine.h \
		\
		src/gui/AboutDialog.h \
		src/gui/AudioEngineInfoForm.h \
		src/gui/DrumkitManager.h \
		src/gui/ExportSongDialog.h \
		src/gui/EventListener.h \
		src/gui/FilePreview.h \
		src/gui/HelpBrowser.h \
		src/gui/HydrogenApp.h \
		src/gui/LadspaFXProperties.h \
		src/gui/LadspaFXSelector.h \
		src/gui/MainForm.h \
		src/gui/PatternFillDialog.h \
		src/gui/PatternPropertiesDialog.h \
		src/gui/PlayerControl.h \
		src/gui/PreferencesDialog.h \
		src/gui/Skin.h \
		src/gui/SongPropertiesDialog.h \
		src/gui/SplashScreen.h \
		\
		src/cui/CUI.h


hydrogen_sources = \
		src/lib/xml/tinystr.cpp \
		src/lib/xml/tinyxml.cpp \
		src/lib/xml/tinyxmlerror.cpp \
		src/lib/xml/tinyxmlparser.cpp \
		\
		src/lib/drivers/AlsaMidiDriver.cpp \
		src/lib/drivers/DiskWriterDriver.cpp \
		src/lib/drivers/FakeDriver.cpp \
		src/lib/drivers/JackDriver.cpp \
		src/lib/drivers/NullDriver.cpp \
		src/lib/drivers/OssDriver.cpp \
		src/lib/drivers/TransportInfo.cpp \
		src/lib/drivers/AlsaAudioDriver.cpp \
		src/lib/drivers/MidiDriver.cpp \
		src/lib/drivers/PortMidiDriver.cpp \
		src/lib/drivers/PortAudioDriver.cpp \
		\
		src/lib/fx/LadspaFX.cpp \
		\
		src/lib/smf/SMF.cpp \
		src/lib/smf/SMFEvent.cpp \
		\
		src/lib/ADSR.cpp \
		src/lib/DataPath.cpp \
		src/lib/EventQueue.cpp \
		src/lib/FLACFile.cpp \
		src/lib/Hydrogen.cpp \
		src/lib/LocalFileMng.cpp \
		src/lib/Object.cpp \
		src/lib/Preferences.cpp \
		src/lib/Sample.cpp \
		src/lib/Song.cpp \
		\
		\
		src/gui/UI/AboutDialog_UI.ui \
		src/gui/UI/AudioEngineInfoForm_UI.ui \
		src/gui/UI/DrumkitManager_UI.ui \
		src/gui/UI/ExportSongDialog_UI.ui \
		src/gui/UI/LadspaFXSelector_UI.ui \
		src/gui/UI/PatternFillDialog_UI.ui \
		src/gui/UI/PatternPropertiesDialog_UI.ui \
		src/gui/UI/PreferencesDialog_UI.ui \
		src/gui/UI/SongPropertiesDialog_UI.ui \
		\
		src/gui/widgets/Button.cpp \
		src/gui/widgets/CpuLoadWidget.cpp \
		src/gui/widgets/ClickableLabel.cpp \
		src/gui/widgets/Fader.cpp \
		src/gui/widgets/LCD.cpp \
		src/gui/widgets/MidiActivityWidget.cpp \
		src/gui/widgets/Rotary.cpp \
		\
		src/gui/InstrumentEditor/InstrumentEditor.cpp \
		src/gui/InstrumentEditor/WaveDisplay.cpp \
		src/gui/InstrumentEditor/LayerPreview.cpp \
		\
		src/gui/SongEditor/SongEditor.cpp \
		src/gui/SongEditor/SongEditorPanel.cpp \
		\
		src/gui/PatternEditor/PatternEditor.cpp \
		src/gui/PatternEditor/PatternEditorPanel.cpp \
		\
		src/gui/Mixer/Mixer.cpp \
		src/gui/Mixer/MixerLine.cpp \
		\
		src/gui/AboutDialog.cpp \
		src/gui/AudioEngineInfoForm.cpp \
		src/gui/DrumkitManager.cpp \
		src/gui/ExportSongDialog.cpp \
		src/gui/FilePreview.cpp \
		src/gui/HelpBrowser.cpp \
		src/gui/HydrogenApp.cpp \
		src/gui/LadspaFXProperties.cpp \
		src/gui/LadspaFXSelector.cpp \
		src/gui/MainForm.cpp \
		src/gui/PatternFillDialog.cpp \
		src/gui/PatternPropertiesDialog.cpp \
		src/gui/PlayerControl.cpp \
		src/gui/PreferencesDialog.cpp \
		src/gui/SongPropertiesDialog.cpp \
		src/gui/SplashScreen.cpp \
		src/gui/main.cpp \
		\
		src/cui/CUI.cpp \
		src/cui/hydrogenCUI.cpp \
		\
		src/tools/Hydrogen2Midi.cpp \
		src/tools/HydrogenPlayer.cpp \
		src/tools/HydrogenBenchmark.cpp

all:	hydrogenPlayer hydrogen ladspa_plugins


ladspa_plugins: plugins/Makefile
	@cd plugins; make all

# Hydrogen
hydrogen.mak: hydrogen.pro
	@$(qmake) -o hydrogen.mak hydrogen.pro

hydrogen: hydrogen.mak $(hydrogen_headers) $(hydrogen_sources)
	@make -f hydrogen.mak hydrogen


# Hydrogen Player
hydrogenPlayer.mak: hydrogenPlayer.pro
	@$(qmake) -o hydrogenPlayer.mak hydrogenPlayer.pro

hydrogenPlayer: hydrogenPlayer.mak $(hydrogen_headers) $(hydrogen_sources)
	@make -f hydrogenPlayer.mak hydrogenPlayer

# Hydrogen Benchmark
hydrogenBenchmark.mak: hydrogenBenchmark.pro
	@$(qmake) -o hydrogenBenchmark.mak hydrogenBenchmark.pro

hydrogenBenchmark: hydrogenBenchmark.mak $(hydrogen_headers) $(hydrogen_sources)
	@make -f hydrogenBenchmark.mak hydrogenBenchmark

# Hydrogen 2 Midi
hydrogen2Midi.mak: hydrogen2Midi.pro
	@$(qmake) -o hydrogen2Midi.mak hydrogen2Midi.pro

hydrogen2Midi: hydrogen2Midi.mak $(hydrogen_headers) $(hydrogen_sources)
	@make -f hydrogen2Midi.mak hydrogen2Midi

# Hydrogen CUI
hydrogenCUI.mak: hydrogenCUI.pro
	@$(qmake) -o hydrogenCUI.mak hydrogenCUI.pro

hydrogenCUI: hydrogenCUI.mak $(hydrogen_headers) $(hydrogen_sources)
	@make -f hydrogenCUI.mak hydrogenCUI

install:
	@install -vD hydrogen $(DESTDIR)$(prefix)/bin/hydrogen
	@install -vD hydrogenPlayer $(DESTDIR)$(prefix)/bin/hydrogenPlayer
	@rm -rf $(DESTDIR)$(prefix)/share/hydrogen
	mkdir -p $(DESTDIR)$(prefix)/share/hydrogen/data/
	cp -R data $(DESTDIR)$(prefix)/share/hydrogen
	mkdir -p $(DESTDIR)$(prefix)/share/hydrogen/data/
	@install -vD hydrogen.desktop $(DESTDIR)$(prefix)/share/applications/hydrogen.desktop
	cd plugins;make install;cd ..
	
	
uninstall: $(DESTDIR)$(prefix)/bin/hydrogen
	@rm -vf $(DESTDIR)$(prefix)/bin/hydrogen
	@rm -vf $(DESTDIR)$(prefix)/bin/hydrogenPlayer
	@rm -rf $(DESTDIR)$(prefix)/share/hydrogen
	@rm -f $(DESTDIR)$(prefix)/share/applications/hydrogen.desktop
	cd plugins;make uninstall

clean: hydrogen.mak hydrogenPlayer.mak hydrogenBenchmark.mak
	@make -f hydrogen.mak clean
	@rm -f hydrogen hydrogen.mak
#	@rm -f hydrogen.pro

	@make -f hydrogenPlayer.mak clean
	@rm -f hydrogenPlayer hydrogenPlayer.mak
#	@rm -f hydrogenPlayer.pro

	@make -f hydrogenBenchmark.mak clean
	@rm -f hydrogenBenchmark hydrogenBenchmark.mak
#	@rm -f hydrogenBenchmark.pro

#	@make -f hydrogen2Midi.mak clean
	@rm -f hydrogen2Midi hydrogen2Midi.mak
#	@rm -f hydrogen2Midi.pro

	@rm -f hydrogenCUI hydrogenCUI.mak

	@rm -rf *.cache *.log *.status

	@cd plugins; make clean

=== plugins/Makefile ===

all:
	@cd wasp; make all

clean:
	@cd wasp; make clean	

install:
	@cd wasp; make install

uninstall:
	@cd wasp; make uninstall

=== plugins/wasp/Makefile ===
INCLUDES	=	-I/usr/local/include/ -Iinclude
CC		=	gcc
CFLAGS		=	$(INCLUDES) -fPIC -DPIC -Wall -O2 -g -c
prefix  = /usr/local

all: wasp_booster.so wasp_noisifier.so wasp_xshaper.so

wasp_booster.so: plugins/booster.c
	$(CC) $(CFLAGS) -o plugins/booster.o plugins/booster.c
	ld -shared -o wasp_booster.so plugins/booster.o

wasp_noisifier.so: plugins/noisifier.c
	$(CC) $(CFLAGS) -o plugins/noisifier.o plugins/noisifier.c
	ld -shared -o wasp_noisifier.so plugins/noisifier.o

wasp_xshaper.so: plugins/x-shaper.c
	$(CC) $(CFLAGS) -o plugins/xshaper.o plugins/x-shaper.c
	ld -shared -o wasp_xshaper.so plugins/xshaper.o
	
clean:
	@rm -f `find . -name "*.o"`
	@rm -f `find . -name "*.so"`

install:
	@echo "Installing WASP plugins"
	mkdir -p $(DESTDIR)$(prefix)/lib/hydrogen/plugins/
	@install -vD *.so $(DESTDIR)$(prefix)/lib/hydrogen/plugins

uninstall:
	@rm -rf $(DESTDIR)$(prefix)/lib/hydrogen

## hydrogen 0.9.4

=== debian/changelog ===
hydrogen (0.9.4-1) unstable; urgency=low

  * New upstream release. Closes: bug#551839, thanks to Larry Holish.
    + Apparently solves startup crash on AMD64. Closes: bug#402635,
      thanks to Simon Guest.
    + Uses splash screen (not intro dialog too wide for some screens).
      Closes: bug#501044, thanks to Klaus Ade Johnstad.
  * Adopt package: Set Debian Multimedia team as maintainer, and myself
    as uploader.
  * Package now git-maintained: Add Vcs-* stanzas to control file.
  * Add README.source, documenting CDBS, git-buildpackage and
    DEB_MAINTAINER_MODE.
  * Add and make use of local CDBS snippets:
    + upstream-tarball.mk
    + buildinfo.mk.
    + copyright-check.mk.
    + package-relations.mk.
    + scons.mk (replacing autotools.mk).
  * Repackage using source format '3.0 "quilt"'.
  * Drop some patches:
    + 00: Upstream manuals now include proper charset declaration.
    + 01: Promoting Debian maintainance unnecessary, and might be
      inaccurate (patch have been wrong for several years).
    + 04: Improved FLAC support adopted upstream now.
    + 05: No longer applying (apparently fixed upstream).
    + 06: No longer applying.
  * Refresh remaining patches and uniform to always strip a single
    prefix (i.e. 'patch -p 1').
  * Unfuzz and update file locations of patches 02 and 08.
  * Disable patches 02, 03, 07 and 08 (all compilation fixes), possibly
    no longer needed.
  * Add patches 09 and 10 adjusting PortAudio and PortMIDI support to v2
    API.
  * Build-depend on libtarchive-dev, port19audio-dev, libportmidi-dev,
    liblash-dev and libqt4-dev (and not libqt3-mt-dev).
  * Build-depend on librsvg2-bin and Build-depend on netpbm, and
    generate (not ship premade file) menu icon based on upstream
    graphics: SVG → PNG → XPM.
  * Drop Debian-local XDG desktop file: Upstream ships one now.
  * Install symlinks in examples dir to demo_songs.
  * Install PHP serverTools files as examples.
  * Drop manpage symlink for hydrogenPlayer (not currently built).
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev135 format.
  * Add copyright header to debian/rules.
  * Bump debhelper compat level and build-dependency to 6.
  * Maintain build-dependencies with CDBS in debian/rules.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Feb 2010 06:26:18 +0100

hydrogen (0.9.3-7) unstable; urgency=low

  * QA upload.
  * Fix FTBFS on GNU/kFreeBSD 
    Patch by Cyril Brulebois <kibi@debian.org>
    Closes: 550303

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Oct 2009 13:21:39 +1100

hydrogen (0.9.3-6) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Acknowledge NMU, thanks Marc!
  * debian/old-patches/*:
    - Removed, fixed upstream long ago.
  * debian/patches/06_drumkit_load.patch:
    - Fix crash with missing drumkit samples (Closes: #448332).
  * debian/patches/07_gcc44.patch:
    - Fix build failure with gcc-4.4 (Closes: #505029).
  * debian/patches/*:
    - Add description to patches.
  * debian/changelog:
    - Adjust old entry to fix lintian's syntax-error-in-debian-changelog.
  * debian/compat:
    - Bump compat level to 5.
  * debian/control:
    - Bump debhelper minimum version to be at least >= 5.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends.
    - Remove useless Conflicts/Replaces fields.
    - Fix some inaccuracies in package description.
  * debian/copyright:
    - Adjust download location.
    - Add copyright notice.
    - Fix FSF address.
    - Point to versioned common-license file.
  * debian/dirs:
    - Removed, useless.
  * debian/hydrogen.desktop:
    - Adhere to Freedesktop.org specification.
  * debian/menu:
    - Adhere to new Debian Menu sub-policy.
  * debian/watch:
    - Add watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Sep 2009 23:20:30 +0200

hydrogen (0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * 03_gcc43.patch: Extended with patch from KiBi (Closes: #456078)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:43:28 +0100

hydrogen (0.9.3-5) unstable; urgency=low

  * Recompiling. Seems that libflac++6 version 1.2 is not binary
    compatible to 1.1.4 (closes: #447292)(closes: #445237)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 22 Oct 2007 18:05:33 +0200

hydrogen (0.9.3-4) unstable; urgency=low

  * incorporated patch for building with flac (thanks guys !) library (closes: #426650,#427745)
  * Applied patch for gcc 4.3 (closes: #417229)
  * Applied patch for default song behaviour (closes: #428052)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 18 Jun 2007 18:50:31 +0200

hydrogen (0.9.3-3) unstable; urgency=low

  * Changed build-dev liblrdf-dev --> liblrdf0-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 24 Jan 2007 08:50:39 +0100

hydrogen (0.9.3-2) unstable; urgency=low

  * Added desktop file (closes: 351884)(closes: #376899)
  * Added conditional build-dep for kfreebsd-amd64 hurd-i386 (closes: #361491)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 Jul 2006 14:49:45 +0200

hydrogen (0.9.3-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/02_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #357084).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:28:18 +0200

hydrogen (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Applied documentation regeneration patch, old versions had problems
    with accents (closes: #317880)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  2 Mar 2006 09:55:27 +0100

hydrogen (0.9.2final-3) unstable; urgency=low

  * Removed build dependency on xlibs-dev (closes: #346718)
  * Conditional build depends on libasound2-dev for FreeBSD (closes: #336851)
  * Finally added menu icon (closes: #299410)
  * Fixed manpage installation (closes: #328963)



=== debian/control ===
Source: hydrogen
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, devscripts (>= 2.10.7), scons, debhelper (>= 6), dh-buildinfo, docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev, librsvg2-bin, netpbm
Standards-Version: 3.8.4
Homepage: http://www.hydrogen-music.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary

Package: hydrogen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple drum machine/step sequencer
 Hydrogen is a sample based drum machine with:
    * Graphical user interface based on QT 3,
    * Sample based audio engine,
    * Oss Audio driver,
    * Jack Audio driver,
    * Export to disk,
    * Alsa Midi input,
    * Ability to import/export xml-based song file,
    * 64 ticks per pattern,
    * 32 voices with volume, mute, solo, pan capabilities,
    * Import of samples in wave, au, aiff format.
    * Humanize and Swing functions

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Hydrogen
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

ifneq (,$(DEB_MAINTAINER_MODE))
  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
  DEB_COPYRIGHT_CHECK_STRICT = yes
  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
endif
include debian/cdbs/1/rules/upstream-tarball.mk
include debian/cdbs/1/rules/copyright-check.mk
include debian/cdbs/1/class/scons.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/1/rules/buildinfo.mk

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/hydrogen

DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=1 prefix=/usr
DEB_SCONS_OPTIONS += optflags="$(CXXFLAGS)"

DEB_SCONS_INSTALL_OPTIONS = DESTDIR=$(DEB_DESTDIR)

DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools

imgstub = data/img/gray/h2-icon
common-build-arch::
	#inkscape -z -e$(imgstub).png -D -w32 -h32 --export-area-snap $(imgstub).svg
	rsvg -w32 -h32 $(imgstub).svg $(imgstub).png
	pngtopnm -alpha $(imgstub).png > $(imgstub).alpha.pgm
	pngtopnm $(imgstub).png | ppmtoxpm -alphamask=$(imgstub).alpha.pgm > $(imgstub).xpm
	rm -f $(imgstub).png $(imgstub).alpha.pgm
clean::
	rm -f $(imgstub).xpm

clean::
	rm -f qt4.pyc version.cpp config.h scache.conf
	rm -rf scons_cache

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev
CDBS_BUILD_DEPENDS += , libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev

# Needed for our packaging
CDBS_BUILD_DEPENDS += , librsvg2-bin, netpbm

# Resolve, cleanup and apply CDBS-declared dependencies
include debian/cdbs/1/rules/package-relations.mk

=== debian/watch ===
version=3
http://sf.net/hydrogen/hydrogen-([0-9\.]+)\.tar\.gz

## hydrogen 0.9.4.1

=== debian/changelog ===
hydrogen (0.9.4.1-1) unstable; urgency=low

  * New upstream bugfix release. Thanks to Sebastian Moors.
  * Rewrite package descriptions based on upstream README. Thanks again
    to Sebastian Moors.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 21:23:01 +0200

hydrogen (0.9.4-4) unstable; urgency=low

  * Disable patch 1001 (Use system-installed TinyXml), apparently
    causing Hydrogen to segfault.
    Closes: bug#575310, thanks to Nico Golde.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Mar 2010 01:05:38 +0100

hydrogen (0.9.4-3) unstable; urgency=low

  * Add TODO on generating manpage using help2man.
  * Drop all local copyright-check.mk.
  * Tighten build-dependency on cdbs to versions providing
    functionalitites previously included locally.
  * Add patch 1001 to use system-installed TinyXml. Build-depend on
    libtinyxml-dev.
  * Refresh patches with shortening quilt options -pab --no-timestamps
    --no-index.
  * Renumber patch 0001 (relax SCons linux2 resolving) to 1002, to
    actually follow our local micro-naming-policy.
  * Add new patch 0001 cherry-picked from upstream SVN to silence
    harmless Scons warning.
  * Install manpage generated using help2man (and ship with source - for
    some reason it fails to work as part of normal builds). Update TODO.
  * Skip superfluous copyright-check of some binary files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Mar 2010 12:34:42 +0100

hydrogen (0.9.4-2) unstable; urgency=low

  * Update local CDBS snippets:
    + Improve package-relationships.mk to strip unversioned build-
      dependency following same versioned.
    + Refer to FSF website (not postal address) in license headers.
    + Bump copyright years.
    + Handle cdbs 0.4.67~ in package-relations.mk.
    + Make copyright-check.mk strict when in DEB_MAINTAINER_MODE.
    + Fix force use LC_ALL=C in copyright-check.mk.
  * Add patch 0001 to relax SCons linux2 resolving. Closes: bug#570557,
    thanks to dann frazier.
  * Add README to patch dir in source, documenting local patch numbering
    scheme.
  * Refer to FSF website (not postal address) in rules file and
    copyright file.
  * Drop setup DEB_MAINTAINER_MODE in rules file (done in snippets now).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 16:51:50 +0100

=== debian/control ===
Source: hydrogen
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 cdbs (>= 0.4.73~),
 scons,
 debhelper (>= 6),
 docbook-utils,
 libqt4-dev,
 libz-dev,
 pkg-config,
 libarchive-dev,
 libtinyxml-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaudiofile-dev,
 libjack-dev,
 liblrdf-dev,
 libsndfile1-dev,
 libflac++-dev,
 libflac-dev (>= 1.1.1-3),
 portaudio19-dev,
 libportmidi-dev,
 liblash-dev,
 librsvg2-bin,
 netpbm
Standards-Version: 3.8.4
Homepage: http://www.hydrogen-music.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary

Package: hydrogen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced drum machine/step sequencer
 Hydrogen is an advanced drum machine.  It's main goal is to bring
 professional yet simple and intuitive pattern-based drum programming.
 .
 General features:
  * Very user-friendly, modular, fast and intuitive graphical interface
    based on QT 4.
  * Sample-based stereo audio engine, with import of sound samples in
    .wav, .au and .aiff formats.
  * Support of samples in compressed FLAC file.
 .
 Sequencer and mixer features:
  * Pattern-based sequencer, with unlimited number of patterns and
    ability to chain patterns into a song.
  * Up to 64 ticks per pattern with individual level per event and
    variable pattern length.
  * 32 instrument tracks with volume, mute, solo, pan capabilities.
  * Multi layer support for instruments (up to 16 samples for each
    instrument).
  * Ability to import/export song files.
  * Unique human velocity, human time, pitch and swing functions.
  * Multiple patterns playing at once.
 .
 Other features:
  * JACK, ALSA, PortAudio and OSS audio drivers.
  * ALSA MIDI and PortMidi input with assignable midi-in channel (1..16,
    ALL).
  * Import/export of drumkits.
  * Export song to wav file.
  * Export song to midi file.

=== debian/rules ===
--- 
+++ 
@@ -14,28 +14,23 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307 USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-ifneq (,$(DEB_MAINTAINER_MODE))
-  # Enable stuff not policy compliant (eg. unsuitable for build daemons)
-  DEB_COPYRIGHT_CHECK_STRICT = yes
-  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
-endif
-include debian/cdbs/1/rules/upstream-tarball.mk
-include debian/cdbs/1/rules/copyright-check.mk
-include debian/cdbs/1/class/scons.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/class/scons.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/1/rules/buildinfo.mk
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/hydrogen
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|\./debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=1 prefix=/usr
 DEB_SCONS_OPTIONS += optflags="$(CXXFLAGS)"
 
 DEB_SCONS_INSTALL_OPTIONS = DESTDIR=$(DEB_DESTDIR)
 
+DEB_INSTALL_MANPAGES_hydrogen = debian/hydrogen.1
 DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools
 
 imgstub = data/img/gray/h2-icon
@@ -48,17 +43,24 @@
 clean::
 	rm -f $(imgstub).xpm
 
+# generate manpage based on --help of script itself
+# TODO: make below rule work as part of main build
+#common-post-build-arch:: debian/hydrogen.1
+debian/hydrogen.1: hydrogen
+	help2man --name="simple drum machine/step sequencer" --no-info --output=$@ $(DEB_SRCDIR)/$<
+#clean::
+#	rm -f debian/hydrogen.1
+
 clean::
 	rm -f qt4.pyc version.cpp config.h scache.conf
 	rm -rf scons_cache
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev
+CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libtinyxml-dev
 CDBS_BUILD_DEPENDS += , libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev
 
 # Needed for our packaging
+# TODO: build-depend on help2man when solved using it with normal builds
+#CDBS_BUILD_DEPENDS += , librsvg2-bin, netpbm, help2man
 CDBS_BUILD_DEPENDS += , librsvg2-bin, netpbm
-
-# Resolve, cleanup and apply CDBS-declared dependencies
-include debian/cdbs/1/rules/package-relations.mk

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://sf.net/hydrogen/hydrogen-([0-9\.]+)\.tar\.gz

## hydrogen 0.9.4.2

=== debian/changelog ===
hydrogen (0.9.4.2-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * debian/copyright:
    - refer to unversioned GNU licenses when relevant, and mention "Debian
      GNU systems" (not the too narrow "Debian GNU/Linux systems").
    - refer to less vaguely to unversioned GNU licenses.

  [ Adrian Knoth ]
  * Recommend hydrogen-drumkits

  [ Alessio Treglia ]
  * Add .gitignore file.
  * New upstream release.
  * Update Standards-Version to 3.9.1.
  * Drop 10_portmidi_v2.patch, applied upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Fri, 22 Oct 2010 20:06:10 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  liblash-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.hydrogen-music.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
@@ -34,6 +34,7 @@
 Package: hydrogen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: hydrogen-drumkits
 Description: advanced drum machine/step sequencer
  Hydrogen is an advanced drum machine.  It's main goal is to bring
  professional yet simple and intuitive pattern-based drum programming.

## hydrogen 0.9.5

=== debian/changelog ===
hydrogen (0.9.5-4build1) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 12:58:14 +0100

hydrogen (0.9.5-4) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * hydrogen.desktop's Name entry should not repeat GenericName description
    (Closes: #640983)
  * Prevent FTBFS with -Werror=format-security enabled (Closes: #643406).

  [ Andres Mejia ]
  * Prevent build failure from double installation of images.

 -- Andres Mejia <amejia@debian.org>  Sun, 25 Dec 2011 12:14:18 -0500

hydrogen (0.9.5-3) unstable; urgency=low

  * Team upload.
  * Add patch to fix linking order. This avoids build failure
    with --as-needed (Closes: #632229, LP: #803182).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Jul 2011 10:03:10 +0200

hydrogen (0.9.5-2) unstable; urgency=low

  * Team upload.
  * Drop LASH support.
  * Bump Standards.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 19:27:17 +0200

hydrogen (0.9.5-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#618694. Thanks to rosea grammostolla.
  * Adjust copyright-check suppression hint to work with recent CDBS
    (strip leading ./ ).
  * Update build-dependencies for new release:
    + Build-depend on poxml, xmlto and libxml2-utils.
    + Tighten build-dependency on libsndfile1-dev.
    + Stop build-depending on libtinyxml-dev, libflac++-dev or
      libflac-dev.
  * Recommend rubberband-cli.
  * Set QTDIR during build: according to upstream INSTALL.txt this
    avoids potential clash with Qt3.
  * Update patches:
    + Drop patch 0001: Applied upstream.
    + Drop already commented out patches 02 03 07 08 1001: Obsolete.
    + Unfuzz patch 1002.
    + Add patch 1001 to set patch to rubberband CLI.
    + Add patch 1003 to add linkage required with GCC 4.5.
  * Extend copyright years in header of rules file.
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.
    + Extend copyright years.
    + Drop Files and License sections of no longer included files.
  * Put aside upstream-generated docs during build and regenerate
    ourselves.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Mar 2011 01:19:09 +0100

hydrogen (0.9.4.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Upload to unstable.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Sat, 12 Feb 2011 13:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,28 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  cdbs (>= 0.4.73~),
  scons,
  debhelper (>= 6),
- docbook-utils,
+ dh-buildinfo,
  libqt4-dev,
  libz-dev,
  pkg-config,
  libarchive-dev,
- libtinyxml-dev,
+ docbook-utils,
+ poxml,
+ xmlto,
+ libxml2-utils,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libaudiofile-dev,
  libjack-dev,
  liblrdf-dev,
- libsndfile1-dev,
- libflac++-dev,
- libflac-dev (>= 1.1.1-3),
+ libsndfile1-dev (>= 1.0.18),
  portaudio19-dev,
  libportmidi-dev,
- liblash-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.hydrogen-music.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
@@ -34,7 +33,7 @@
 Package: hydrogen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: hydrogen-drumkits
+Recommends: hydrogen-drumkits, rubberband-cli
 Description: advanced drum machine/step sequencer
  Hydrogen is an advanced drum machine.  It's main goal is to bring
  professional yet simple and intuitive pattern-based drum programming.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Hydrogen
 #
 # This program is free software; you can redistribute it and/or
@@ -23,15 +23,40 @@
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/hydrogen
 
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|\./debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(flac|png|qm)|debian/(changelog|copyright(|_hints|_newhints))$
 
-DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=1 prefix=/usr
+# according to upstream INSTALL.txt this avoids potential clash with Qt3
+export QTDIR=/usr/share/qt4
+
+DEB_SCONS_OPTIONS = libarchive=1 portaudio=1 portmidi=1 lash=0 prefix=/usr
 DEB_SCONS_OPTIONS += optflags="$(CXXFLAGS)"
 
 DEB_SCONS_INSTALL_OPTIONS = DESTDIR=$(DEB_DESTDIR)
 
 DEB_INSTALL_MANPAGES_hydrogen = debian/hydrogen.1
 DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools
+
+# Put aside upstream-shipped autogenerated files during build
+upstreamtmpfiles = $(wildcard data/doc/*.html data/doc/*.docbook)
+upstreamtmpfiles_ = $(patsubst %.upstream,%,$(wildcard data/doc/*.html.upstream data/doc/*.docbook.upstream))
+pre-build:: debian/stamp-upstreamtmpstuff
+debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
+	for file in $(upstreamtmpfiles); do \
+		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
+	done
+	touch $@
+clean::
+	for file in $(upstreamtmpfiles_); do \
+		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
+	done
+	rm -f debian/stamp-upstreamtmpstuff
+
+common-build-indep:: debian/docs.stamp
+debian/docs.stamp:
+	$(MAKE) -C data/doc
+	touch $@
+clean::
+	rm -f debian/docs.stamp
 
 imgstub = data/img/gray/h2-icon
 common-build-arch::
@@ -56,9 +81,10 @@
 	rm -rf scons_cache
 
 # Needed by upstream build process
-CDBS_BUILD_DEPENDS += , docbook-utils, libqt4-dev, libz-dev, pkg-config, libarchive-dev, libtinyxml-dev
+CDBS_BUILD_DEPENDS += , libqt4-dev, libz-dev, pkg-config, libarchive-dev
+CDBS_BUILD_DEPENDS += , docbook-utils, poxml, xmlto, libxml2-utils
 CDBS_BUILD_DEPENDS += , libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev, libflac++-dev, libflac-dev (>= 1.1.1-3), portaudio19-dev, libportmidi-dev, liblash-dev
+CDBS_BUILD_DEPENDS += , libaudiofile-dev, libjack-dev, liblrdf-dev, libsndfile1-dev (>= 1.0.18), portaudio19-dev, libportmidi-dev
 
 # Needed for our packaging
 # TODO: build-depend on help2man when solved using it with normal builds
